/*
 Theme Name: C'est une mission - UNML 2024
 Description: Un thème enfant décliné du thème parent RemSEO Flexo. Le thème parent intègre la gestion des éléments vitrines + actualités + évènements + lieux d'accueil. Le thème enfant intègre du style CSS personnalisé. L'ensemble est développé autour d'ACF + Elementor + Gutenberg
 Author: Rémi COLIN
 Template: remseowoocommerce
 Version: 1.0.0
*/

/*---------------------
    Primary HTML
----------------------*/
:root {
	--main-bg: #2897D5; /* Blue (UNML) */
	--alt-bg: #ececec;
	--secondary-bg: #23262d; /* Black ~lighter */
	--dark-txt-color: #000000; /* Black */
	--hovered-dark-txt: #868683;
	--light-txt-color: #f5f5f5; /* White ~grey */
	--hovered-light-txt: #E0E0E0;
	--title-color: #A3195B; /* Magenta/Violet (UNML) */
	--featured-color: #2897D5; /* Blue (UNML) */
		--featured-color-50: rgba(40, 151, 213, 0.5);
		--featured-color-90: rgba(40, 151, 213, 0.9);
		--featured-color-darker: #2178AB;
		--featured-color-lighter: #65B4E2;
	--alt-featured-color: #A3195B; /* Magenta/Violet (UNML) */
	--ctas-color: #A3195B; /* Magenta/Violet (UNML) */
	--ctas-darker-color: #A3195B; /* Magenta/Violet (UNML) */
	--cf-submit-color: #A3195B; /* Magenta/Violet (UNML) */
}

@font-face {
  font-family:'Akrobat';
  src: url('./assets/css/fonts/Akrobat-Regular.otf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Akrobat-bold';
  src: url('./assets/css/fonts/Akrobat-Bold.otf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Akrobat-semibold';
  src: url('./assets/css/fonts/Akrobat-SemiBold.otf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Akrobat-light';
  src: url('./assets/css/fonts/Akrobat-Light.otf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Muli';
  src: url('./assets/css/fonts/Muli.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Muli-Bold';
  src: url('./assets/css/fonts/Muli-Bold.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Muli-extraBold';
  src: url('./assets/css/fonts/Muli-ExtraBold.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Muli-Black';
  src: url('./assets/css/fonts/Muli-Black.ttf') format('OpenType');
	font-display: swap;
}

body {
	font-family: 'Akrobat', sans-serif;
	-webkit-font-smoothing: antialiased;
}

h1 {font-family: 'Muli-Black', sans-serif;}

h2,
h3,
h4,
h5,
h6 {
	font-family: 'Muli-extraBold', sans-serif;
}

/* strong {
	font-family: 'Akrobat-bold', sans-serif;
} */

/*----------------------
  Cookie consent
------------------------*/
div#cmplz-manage-consent > button.cmplz-btn.cmplz-manage-consent {height: max-content;padding: 6px 8px;right: 8px;}
div#cmplz-cookiebanner-container > div.cmplz-cookiebanner > div.cmplz-links.cmplz-documents > a.cmplz-link {font-size: 0.9rem;}

div.elementor-element.cmplz-blocked-content-container > div.cmplz-blocked-content-notice {
	top: 0;
	left: 0;
	transform: translate(0%,0%);
	height: 100%;
	max-width: initial;
	display: flex;
	flex-direction: column;
	justify-content: center;
	background-color: rgba(0,0,0,0.70);
}

div.elementor-element.cmplz-blocked-content-container > div.cmplz-blocked-content-notice > .cmplz-blocked-content-notice-body > .cmplz-links {
	margin: 1rem 0;
}
div.elementor-element.cmplz-blocked-content-container > div.cmplz-blocked-content-notice > .cmplz-blocked-content-notice-body > .cmplz-links > a.cmplz-link.cookie-statement {border: 1px solid;padding: 4px 8px;}

div.elementor-element.cmplz-blocked-content-container > div.cmplz-blocked-content-notice > button.cmplz-accept-service {
	width: max-content;
	margin: 1rem auto;
	padding: 4px 16px;
}

/*----------------------
  UNML dedicated Iframe
------------------------*/
iframe#chercher-sa-ml-unml {
	min-height: 305px;
	border-radius: 12px;
}

iframe#chercher-sa-ml-unml body form.form-searchML > legend {display: none !important;}

/*---------------------
  Navigation
----------------------*/
nav.site-navigation {box-shadow: initial;}
nav.site-navigation ul.main-menu {background-color: var(--featured-color); padding: 12px 0;}
.main-menu li.logo-container-nav {margin: 0 auto 0 12.5%;}
.logo-container-nav .site-branding img.custom-logo {max-height: 85px; border-radius: 12px;}

@media all and (max-width: 1026px) {
	.main-menu li.menu-item-hamburger {display: none !important;}
}

@media all and (max-width: 576px) {
	.main-menu li.logo-container-nav {margin: 0 auto;}
	.main-menu li.menu-item.logo-container-nav {display: block;}
}

/*---------------------
  Leaflet
----------------------*/
.leaflet {min-width: 100vw;}
.leaflet .leaflet-map {height: calc(75vh);}

/*---------------------
  Elementor
----------------------*/
.elementor-widget-video.img-disabled .elementor-custom-embed-image-overlay img {opacity: 0}
.elementor-element > .elementor-widget-shortcode > .elementor-widget-container > .elementor-shortcode > .theme-widget {
	padding: 0;
	margin: 0;
}
.elementor-testimonial-wrapper .elementor-testimonial-content {font-size: 1rem; font-style: italic;}
.elementor-counter .elementor-counter-number {background: var(--alt-featured-color);color: var(--light-txt-color);padding: 6px 12px;border-radius: 12px;}

/*---------------------
  Posts and CPTs
----------------------*/
.article-feed-thumbnail figure:hover .post-label.broadcast-date {}
.article-feed-thumbnail figure:hover .post-label.associated-place {}

/*---------------------
  Footer
----------------------*/
.main-footer {
	background-color: #ffffff;
	color: var(--dark-txt-color);
	border-top: none;
}
.main-footer a {color: var(--dark-txt-color);}

@media all and (max-width: 768px) {
	#nav-footer {margin: 12px auto;}
	.main-footer ul {padding: 0; flex-flow: wrap;}
}
